/**
 * Prosys OPC UA Java SDK
 *
 * Copyright (c) 2009-2010 Prosys PMS Ltd., <http://www.prosysopc.com>. 
 * All rights reserved.
 */
package com.prosysopc.ua.tests;

import org.opcfoundation.ua.builtintypes.NodeId;
import org.opcfoundation.ua.builtintypes.Structure;

/**
 * 
 */
public class ExtensionObjectTestStructure implements Structure {

	public static NodeId BINARY = new NodeId(1000,
			"ExtensionObjectTestStructureType_Binary");
	public static NodeId ID = new NodeId(1000,
			"ExtensionObjectTestStructureType");
	public static NodeId XML = new NodeId(1000,
			"ExtensionObjectTestStructureType_Xml");

	private String content;

	/*
	 * (non-Javadoc)
	 * 
	 * @see org.opcfoundation.ua.builtintypes.Structure#getBinaryEncodeId()
	 */
	@Override
	public NodeId getBinaryEncodeId() {
		return BINARY;
	}

	/**
	 * @return the content
	 */
	public String getContent() {
		return content;
	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see org.opcfoundation.ua.builtintypes.Structure#getTypeId()
	 */
	@Override
	public NodeId getTypeId() {
		return ID;
	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see org.opcfoundation.ua.builtintypes.Structure#getXmlEncodeId()
	 */
	@Override
	public NodeId getXmlEncodeId() {
		return XML;
	}

	/**
	 * @param content
	 *            the content to set
	 */
	public void setContent(String content) {
		this.content = content;
	}

}
